Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 20734 - Make core string editor work with property marking
Make core string editor work with property marking
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Property Editors
3.x
Sun All
: P2 (vote)
: TBD
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 23:33 UTC by Rochelle Raccah
Modified: 2008-12-22 09:51 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rochelle Raccah 2002-02-20 23:33:41 UTC
See question 3 and the followup responses at
<http://www.netbeans.org/servlets/ReadMsg?msgId=247950&listName=nbdev>

Basically, the idea is to implement marking for the core string editor with the
following requirements:
- If a value is invalid, show the mark in the property sheet
- Always enable the Ok button in the popup property editor.  There can be an
error dialog on ok (IllegalArgumentException/ErrorManager annotation by
setValue) implemented by the caller if there is a problem.  The Ok button
enablement shouldn't be updated on each keystroke.
- Make sure that the property marking is properly updated when the user cancels
and there is an invalid value but a valid value in the cancelled dialog.
- Make sure the in place editor continues to work as it did before

I will file a separate enhancement request for the rest of the core editors.
Comment 1 Marek Grummich 2002-07-22 08:38:36 UTC
Target milestone was changed from '3.4' to TBD.
Comment 2 Marek Grummich 2002-07-22 08:58:56 UTC
Target milestone was changed from '3.4' to TBD.
Comment 3 Marian Mirilovic 2002-12-06 17:09:15 UTC
reassigne to Tim, new owner of property editors.
Comment 4 _ tboudreau 2004-04-19 14:52:59 UTC
Passing property editor issues to new owner, Jirka
Comment 5 Jiri Rechtacek 2008-10-16 15:38:49 UTC
It's not planned for long time. It's fair to close as WONTFIX


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo